# Model

For examples on how to use, check [ModelService](/scripting/bedwars-scripting/services/modelservice.md).

### Parameters

#### modelName: [ModelType](/scripting/bedwars-scripting/types/modeltype.md)

Name of the model to be imported

***

### Functions

#### setPosition(position: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3))

Sets the position of the model.

#### getPosition(): [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)

Returns the position of the model.

#### setRotation(rotation: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3))

Sets the rotation of the model.

#### getRotation(): [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)

Returns the rotation of the model.

#### setCFrame(cframe: [CFrame](https://create.roblox.com/docs/reference/engine/datatypes/CFrame))

Sets the CFrame of the model to the specified CFrame.

#### getCFrame(): [CFrame](https://create.roblox.com/docs/reference/engine/datatypes/CFrame)

Returns the CFrame of the model.

#### setScale(scale: number)

Sets the scale of the model.

#### getScale(): number

Returns the scale of the model.

#### setCollidable(collidable: boolean)

Sets whether the model should collide with other models, blocks, and players. Defaults to true on creation.

#### setAnchored(anchored: boolean)

Sets whether the model should have physics applied to it. Defaults to true on creation.

#### setTransparency(transparency: number)

Sets the transparency of the model. Transparency ranges from 0 (opaque) to 1 (invisible).

#### destroy()

Destroys the model.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/objects/model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
